module Helpers
  # Helper to test MeshRuby#push
  def push_onto(mesh, obj)
    pushed = nil
    EM.run do
      mesh.push(obj)
      mesh.onmessage do |msg|
        pushed = msg
        EM.stop
      end
      EventMachine.add_timer(0.5) { raise 'Event loop timeout' }
    end
    pushed
  end
end
